---
{{$labelData := dict "Values" .Values "Release" .Release "Chart" .Chart "Component" "cms-migratejob"}}
apiVersion: batch/v1
kind: Job
metadata:
  name: {{include "pdfchecker.cms.migratejob.name" .}}
  labels:
    {{- include "pdfchecker.labels" $labelData | nindent 4}}
  annotations:
    # This is what defines this resource as a hook. Without this line, the
    # job is considered part of the release.
    "helm.sh/hook": pre-upgrade
    "helm.sh/hook-weight": "-5"
    "helm.sh/hook-delete-policy": before-hook-creation
spec:
  template:
    metadata:
      name: {{include "pdfchecker.cms.migratejob.name" .}}
      labels:
        {{- include "pdfchecker.labels" $labelData | nindent 4}}
    spec:
      restartPolicy: Never
      containers:
      - name: {{include "pdfchecker.cms.migratejob.name" .}}
        image: "{{.Values.cms.image.repository}}:{{.Values.cms.image.tag}}"
        {{- if .Values.cms.existingSecret }}
        envFrom:
          - secretRef:
              name: {{.Values.cms.existingSecret}}
        {{- end }}
        command: ["npm"]
        args: ["run", "payload", "migrate"]

